Redmine - Defect #7791

No New Issue is created via email (SMTP fetching)
2011-03-05 22:52 - Ladislav Nesnera

Status: Closed Start date: 2011-03-05
Priority: Normal Due date:

Assignee: % Done: 50%
Category: Email receiving Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version:

Description
Steps to Reproduce:

1. complete the steps described in Fetching emails from an IMAP server

2. if you reply to received issue notification email your comment is assigned well

3. if you try to create new issue by appropriate Issue attributes, import fails (I know about failure by move_on_failure parameter,
but | can't find any corresponding error log :-( )

History

#1 - 2011-03-10 10:29 - Anonymous

Same thing for me. Sinde a few days and i do not know why, i can not create new issue from an email.

No trace, no log, no error message...

#2 - 2011-03-10 10:37 - Anonymous

I think i have a track... | have added a mandatory custom_field while an issue is creeated. | think i have to set a value for thit mandatory field while a
call receaive_imap task...

Do you know how i cam fix a value ?

#3 - 2011-03-10 11:03 - Ladislav Nesnera

Patrice Bonhomme wrote:

...  have added a mandatory custom_field while an issue is creeated...

We have no cusgtom fields :-(

#4 - 2011-03-10 12:12 - Anonymous

i confirm, my problem was coming from those custom fields.

I think that your problem is coming from a bad parameter of the rake task receive_imap. You have to provide some parameters. Here is a copy of the
BASH script i am currently using and that is call by cron :

#!/bin/bash

cd /services/redmine

rake -v --trace -f /services/redmine/Rakefile redmine:email:receive_imap \
RAILS_ENV="production" \

host=imap.everest \

username=support@mydomain.com \

password=secret \

project=dsi-support \

tracker=Assistance \

unknown_user=create \

allow_override=tracker,priority, project

# EOF

#5 - 2011-03-10 16:40 - Ladislav Nesnera
https://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails#Fetching-emails-from-an-IMAP-server

- % Done changed from 0 to 50

Patrice Bonhomme wrote:

| think that your problem is coming from a bad parameter of the rake task receive_imap..
Thanks for your hint. You inspired me to rewrite my cron command to the script. My parameters was almost the same expect for project and tracker.
As seems they aren't optional, as | thought, but required. Import works well now. Thanks again.

It reminds me of note about custom fields from Receiving emails - "Make sure that the target project doesn't use required custom fields with no default
value.."

My problem is resolved. What about your?

#6 - 2011-03-10 17:35 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid
